Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class ResultBase

    java.lang.Object
      com.tonbeller.jpivot.olap.query.ResultBase

All Implemented Interfaces:
  Decorator, Result, Visitable

Direct Known Subclasses:
  MondrianResult, XMLA_Result

    public abstract class ResultBase

extends java.lang.Object
implements Result

base class for both Mondrian and XMLA result

Field Summary
`protected java.util.List` | `aCells`
`protected java.util.List` | `axesList`
`protected Model` | `model`
`protected Axis` | `slicer`

Constructor Summary
`ResultBase(Model model)`

Method Summary
`void` | `accept(Visitor visitor)`
`abstract Axis[]` | `getAxes()` return the axes
`java.util.List` | `getCells()` Returns the cells.
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`Axis` | `getSlicer()` Returns the slicer.
`void` | `hierarchize(int iAxis)` perform hierarchize not resorting siblings under parent this method is not fully tested we cannot use Result hierarchize, because by Quax navigation the prerequisits are not given Example (Customers Products): if by Quax navigation (CA, Drink) USA.children is split into {OR, WA) * Drink {CA} * { Drink + Drink.Children) CA would then come later in the result.
`boolean` | `isOverflowOccured()`
`void` | `printOut(java.io.PrintStream ps)` print Result to print stream
`static void` | `renderHtml(Result result, java.lang.String mdx, java.lang.String outfile)` Render Test Output to HTML
`void` | `setOverflowOccured(boolean overflow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### axesList

    protected java.util.List axesList

### aCells

    protected java.util.List aCells

### slicer

    protected Axis slicer

### model

    protected Model model

Constructor Detail

### ResultBase

    public ResultBase(Model model)

Method Detail

### getAxes

    public abstract Axis[] getAxes()

  Description copied from interface: `Result`
  return the axes

  Specified by:
    `getAxes` in interface `Result`
  See Also:
    `Result.getAxes()`

### getSlicer

    public Axis getSlicer()

  Returns the slicer.

  Specified by:
    `getSlicer` in interface `Result`
  Returns:
    Slicer Axis
  See Also:
    `Result.getSlicer()`

### getCells

    public java.util.List getCells()

  Returns the cells.

  Specified by:
    `getCells` in interface `Result`
  Returns:
    List of cells
  See Also:
    `Result.getCells()`

### hierarchize

    public void hierarchize(int iAxis)

  perform hierarchize not resorting siblings under parent this method is not fully tested we cannot use Result hierarchize, because by Quax navigation the prerequisits are not given Example (Customers Products): if by Quax navigation (CA, Drink) USA.children is split into {OR, WA) * Drink {CA} * { Drink + Drink.Children) CA would then come later in the result. Therefore : MDX hierarchize is needed

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`
  See Also:
    `Decorator.getRootDecoree()`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(com.tonbeller.jpivot.olap.model.Visitor)`

### renderHtml

    public static void renderHtml(Result result,
                                  java.lang.String mdx,
                                  java.lang.String outfile)
                           throws java.io.IOException

  Render Test Output to HTML

  Throws:
    `java.io.IOException`

### printOut

    public void printOut(java.io.PrintStream ps)

  print Result to print stream

  Parameters:
    `ps` - Output Print Stream

### isOverflowOccured

    public boolean isOverflowOccured()

  Specified by:
    `isOverflowOccured` in interface `Result`
  Returns:
    true, if the result was rolled back due to overflow condition

### setOverflowOccured

    public void setOverflowOccured(boolean overflow)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD